Mailinglist Archive: opensuse-updates (12 mails)

< Previous Next >
openSUSE-SU-2010:0334-1 (important): lftp: fixed a http client unexpected download filename vulnerability
  • From: opensuse-security@xxxxxxxxxxxx
  • Date: Mon, 21 Jun 2010 20:08:11 +0200 (CEST)
  • Message-id: <20100621180811.E9B9BBE14@xxxxxxxxxxxxxx>
openSUSE Security Update: lftp: fixed a http client unexpected download
filename vulnerability
______________________________________________________________________________

Announcement ID: openSUSE-SU-2010:0334-1
Rating: important
References: #606319
Cross-References: CVE-2010-2251
Affected Products:
openSUSE 11.2
openSUSE 11.1
openSUSE 11.0
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update of lftp improves the filename handling of
downloaded files to avoid downloading arbitrary content to
unexpected locations (like .login). (CVE-2010-2251)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.2:

zypper in -t patch lftp-2534

- openSUSE 11.1:

zypper in -t patch lftp-2534

- openSUSE 11.0:

zypper in -t patch lftp-2534

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.2 (i586 src x86_64):

lftp-3.6.3-58.2.1

- openSUSE 11.1 (i586 ppc src x86_64):

lftp-3.6.3-5.68.1

- openSUSE 11.0 (i586 ppc src x86_64):

lftp-3.6.3-28.2


References:

http://support.novell.com/security/cve/CVE-2010-2251.html
https://bugzilla.novell.com/606319


< Previous Next >
This Thread
  • No further messages